Skip to navigation

Delete users from group

View as Markdown

Deletes one or more users from a group. This request takes a userInfoList that contains the users that you want to delete.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

groupIdstringRequired
The ID of the group being accessed.

Request

This endpoint expects an object: userInfoList

userslist of objectsOptional

An array of userInfo objects containing information about the users in the group.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

userslist of objectsOptional
User management information.

Errors

400
Bad Request Error